# Date insertion test

import DCOracle2, common

from time import time

db = DCOracle2.connect(common.getConnectionString())

c = db.cursor()

try:
    c.execute('drop table datetest')
except DCOracle2.DatabaseError: pass

c.execute('create table datetest (name varchar2(64), when date)')

day = 60 * 60 * 24

data = (
    ("Now", DCOracle2.DateFromTicks(time())),
    ("Tomorrow", DCOracle2.DateFromTicks(time()+1*day)),
    ("Yesterday", DCOracle2.DateFromTicks(time()-1*day)),
    ("RSN", DCOracle2.DateFromTicks(time()+14*day))
)

c.executemany('insert into datetest (name, when) values (:1, :2)', data)

db.commit()
