#

import DCOracle2
import common

names = (
    ("Matt Kromer", 1),
    ("Jens Vagelpohl", 2),
    ("Chris Petrilli", 3)
    )

db = DCOracle2.connect(common.getConnectionString())
c = db.cursor()


print "Dropping table"

try:
    c.execute("drop table test")
except:
    pass


print "Creating table" 
c.execute("create table test ( name varchar2(64), id number(9) )")

print "Inserting into test"
c.executemany("insert into test (name, id) values (:1, :2)", names)

#print DCOracle2.traceback(format=1)

print "Selecting from test"
c.execute("select * from test")

print "Describing test"
print list(c.description)

c.arraysize = 20

print "Printing test"
r = c.fetchall()
print r

print "Commiting test"
db.commit()

print "Adding one more entry"
c.execute("insert into test (name, id) values (:1, :2)", "Fred Flintstone", 4)

print "Printing test"
c.execute("select * from test")
r = c.fetchall()
print r

print "Rolling back last entry"
db.rollback()

print "Printing test"
c.execute("select * from test")
r = c.fetchall()
print r

