#

import DCOracle2
import time
import common

names = (
    ("Matt Kromer", 1),
    ("Jens Vagelpohl", 2),
    ("Chris Petrilli", 3)
    )

db = DCOracle2.connect(common.getConnectionString())
c = db.cursor()

try:
    c.execute('drop table longone')
except DCOracle2.DatabaseError: pass

c.execute('create table longone (name varchar2(64), id number(9), photo long raw)')

c.executemany('insert into longone (name, id) values (:1, :2)', names)

db.commit()

c.execute("select * from longone")

r = c.fetchone()

#print r

f = open("/home/matt/graphics/shane-007.jpg")

fredpic = f.read()


l = len(fredpic)
print "Inserting %d bytes" % l

f.close()

start = time.time()
c.execute("insert into longone (name, id, photo) values (:1, :2, :3)", \
    "Shane Hathaway", 4, DCOracle2.Binary(fredpic))


c.execute("insert into longone (name, id, photo) values (:1, :2, :3)", \
    "Shane Hathaway #2", 5, DCOracle2.Binary(fredpic))

stop = time.time()  

print "Inserted %d bytes in %lf secs at %9.3lf Kbytes/sec\n" % (l*2, stop-start, l/(stop-start)/512)

start = time.time()
c.execute("select photo from longone where id > 3")

r = c.fetchone()
stop = time.time()  

if r[0] != fredpic:
    print "whoops!  did not get back what we put in!"
else:
    print "Fetched %d bytes in %lf secs at %9.3lf Kbytes/sec\n" % (l, stop-start, l/(stop-start)/1024)


start = time.time()

r = c.fetchone()
stop = time.time()  

if r[0] != fredpic:
    print "whoops!  did not get back what we put in!"
else:
    print "Fetched %d bytes in %lf secs at %9.3lf Kbytes/sec\n" % (l, stop-start, l/(stop-start)/1024)


db.rollback()
