#

import DCOracle2
import time
import common

names = (
    ("Matt Kromer", 1),
    ("Jens Vagelpohl", 2),
    ("Chris Petrilli", 3)
    )

db = DCOracle2.connect(common.getConnectionString())
c = db.cursor()


try:
    c.execute("drop table blobtest")
except OracleError:
    pass

c.execute("create table blobtest (name varchar2(32), id integer, photo blob) tablespace users")

c.executemany("insert into blobtest values (:1, :2, EMPTY_BLOB())", names)
   
c.execute("insert into blobtest values (:1, :2, EMPTY_BLOB())", \
    "Shane Hathaway", 4)

c.execute("insert into blobtest values (:1, :2, EMPTY_BLOB())", \
    "Shane Hathaway #2", 5)

f = open("/home/matt/graphics/shane-007.jpg")

fredpic = f.read()

l = len(fredpic)
print "Inserting %d bytes" % l

f.close()

start = time.time()
c.execute("select * from blobtest where id>3 for update")

for r in c.fetchall():

    lob = r[2]

    lob.write(fredpic)

stop = time.time()
db.commit()

print "Inserted %d bytes in %lf secs at %9.3lf Kbytes/sec" % (l*2, stop-start, l/(stop-start)/512)


try:
    c.execute("select * from blobtest where id>3")

    for r in c.fetchall():

        lob = r[2]

        pic = lob.read()

        assert(pic == fredpic)
        print "Photo %s, #%d OK" % (r[0], r[1])
except DCOracle2.DatabaseError:
    print DCOracle2.traceback(format=1)

