#!/usr/bin/python

import string
import DCOracle2
import common

custtable = (('Anonymous',1.9,None,None), \
    ('toolco',1.5,(46,),None), \
    ('widget',1.2,(48,),None), \
    ('misty',1.4,(None,),('misting',)) \
    )

db = DCOracle2.connect(common.getConnectionString())
c = db.cursor()

try:
    c.execute("drop table partlist")
except DCOracle2.DatabaseError:
    pass

c.execute("create table partlist (part varchar2(62), partno integer, quantity integer, price number(10,2)) tablespace users")

file = open("namegen.out","r")

v = []

for l in file.readlines():

    (part, partno, quantity, price) = string.split(string.strip(l),',')

    v.append((part, partno, quantity, price))

file.close()

c.executemany("insert into partlist (part, partno, quantity, price) values (:1,:2,:3,:4)", v)

db.commit()

c.execute("select part, partno, quantity, price from partlist order by partno")

results = c.fetchall()

try:
    c.execute("drop table partcust")
except DCOracle2.DatabaseError:
    pass

c.execute("create table partcust (customer varchar2(32), partno integer, price number(10,2)) tablespace users")

for r in results:
    (part, partno, quantity, price) = r

    for (customer,factor,baseparts,pattern) in custtable:
        cfactor =  0
        if baseparts is not None:
            for p in baseparts:
                if int(partno / 1000) == p: cfactor = factor
        else:
            cfactor = factor
        if pattern is not None:
            for pat in pattern:
                if string.find(part,pat) >= 0:
                    cfactor = factor
        cprice = float("%8.2f" % (price * cfactor)) 
        if (cprice > 0.0):
            c.execute("insert into partcust (customer, partno, price) values (:1,:2,:3)", customer, partno, cprice)

db.commit()
DCOracle2.traceback(format=1)
