import api2test
import os
import time
import DCOracle2
import unittest

######################################################################
# Module interface test cases                                        #
######################################################################

class DCOracle2connectTestCase(api2test.connectTestCase):
    def setUp(self):
        self.command = "scott/tiger"
        self.module  = DCOracle2

class DCOracle2apilevelTestCase(api2test.apilevelTestCase):
    def setUp(self):
        self.module = DCOracle2

class DCOracle2threadsafetyTestCase(api2test.threadsafetyTestCase):
    def setUp(self):
        self.module = DCOracle2

class DCOracle2paramstyleTestCase(api2test.threadsafetyTestCase):
    def setUp(self):
        self.module = DCOracle2

ModuleInterfaceTestSuite = unittest.TestSuite()

ModuleInterfaceTestSuite.addTest(DCOracle2connectTestCase("runTest"))
ModuleInterfaceTestSuite.addTest(DCOracle2apilevelTestCase("runTest"))
ModuleInterfaceTestSuite.addTest(DCOracle2threadsafetyTestCase("runTest"))
ModuleInterfaceTestSuite.addTest(DCOracle2paramstyleTestCase("runTest"))

######################################################################
# Connection object test cases                                       #
######################################################################

class DCOracle2ConnectionCloseTestCase(api2test.ConnectionCloseTestCase):
    def setUp(self):
        self.command = "scott/tiger"
        self.module  = DCOracle2
        
class DCOracle2ConnectionCommitTestCase(api2test.ConnectionCommitTestCase):
    def setUp(self):
        self.command = "scott/tiger"
        self.module   = DCOracle2
        
class DCOracle2ConnectionRollbackTestCase(api2test.ConnectionRollbackTestCase):
    def setUp(self):
        self.command = "scott/tiger"
        self.module   = DCOracle2
        
class DCOracle2ConnectionCursorTestCase(api2test.ConnectionCursorTestCase):
    def setUp(self):
        self.command    = "scott/tiger"
        self.module     = DCOracle2
    
ConnectionInterfaceTestSuite = unittest.TestSuite()

ConnectionInterfaceTestSuite.addTest(DCOracle2ConnectionCloseTestCase("runTest"))
ConnectionInterfaceTestSuite.addTest(DCOracle2ConnectionCommitTestCase("runTest"))
ConnectionInterfaceTestSuite.addTest(DCOracle2ConnectionRollbackTestCase("runTest"))
ConnectionInterfaceTestSuite.addTest(DCOracle2ConnectionCursorTestCase("runTest"))

######################################################################
# Cursor object test cases                                           #
######################################################################

class DCOracle2CursorDescriptionTestCase(api2test.CursorDescriptionTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]
                         
class DCOracle2CursorRowcountTestCase(api2test.CursorRowcountTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]

class DCOracle2CursorCallprocTestCase(api2test.CursorCallprocTestCase):
    def setUp(self):
        self.module = DCOracle2
    
    def runTest(self):
        pass
    
class DCOracle2CursorCloseTestCase(api2test.CursorCloseTestCase):
    def setUp(self):
        self.module     = DCOracle2
        self.commands   = ["scott/tiger","select * from john"]

class DCOracle2CursorExecuteTestCase(api2test.CursorExecuteTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]

class DCOracle2CursorExecutemanyTestCase(api2test.CursorExecutemanyTestCase):
    def setUp(self):
        self.commands = ["scott/tiger"]
        self.module = DCOracle2
    
    def runTest(self):
        pass

class DCOracle2CursorFetchoneTestCase(api2test.CursorFetchoneTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]

class DCOracle2CursorFetchmanyTestCase(api2test.CursorFetchmanyTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         2,
                         "select * from john"]

class DCOracle2CursorFetchallTestCase(api2test.CursorFetchallTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]

class DCOracle2CursorNextsetTestCase(api2test.CursorNextsetTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         "select * from john"]
    def runTest(self):
        pass

class DCOracle2CursorArraysizeTestCase(api2test.CursorArraysizeTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",
                         2]

class DCOracle2CursorSetinputsizeTestCase(api2test.CursorSetinputsizeTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",1]

class DCOracle2CursorSetoutputsizeTestCase(api2test.CursorSetoutputsizeTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.commands = ["scott/tiger",1]

CursorInterfaceTestSuite = unittest.TestSuite()

CursorInterfaceTestSuite.addTest(DCOracle2CursorDescriptionTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorRowcountTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorCallprocTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorCloseTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorExecuteTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorExecutemanyTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorFetchoneTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorFetchmanyTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorFetchallTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorNextsetTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorArraysizeTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorSetinputsizeTestCase("runTest"))
CursorInterfaceTestSuite.addTest(DCOracle2CursorSetoutputsizeTestCase("runTest"))

######################################################################
# Type objects and constructors test cases                           #
######################################################################

class DCOracle2DateTestCase(api2test.DateTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.year   = 1980
        self.month  = 11
        self.day    = 19
    
class DCOracle2TimeTestCase(api2test.TimeTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.hour   = 3
        self.minute = 4
        self.second = 50
    
class DCOracle2TimestampTestCase(api2test.TimestampTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.year   = 1980
        self.month  = 11
        self.day    = 19
        self.hour   = 3
        self.minute = 4
        self.second = 50
        
class DCOracle2TimeFromTicksTestCase(api2test.TimeFromTicksTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.ticks  = 1
    
class DCOracle2DateFromTicksTestCase(api2test.DateFromTicksTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.ticks  = 1
    
class DCOracle2TimestampFromTicksTestCase(api2test.TimestampFromTicksTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.ticks  = 1
    
class DCOracle2BinaryTestCase(api2test.BinaryTestCase):
    def setUp(self):
        self.module = DCOracle2
        self.string = "teststring"

class DCOracle2STRINGTestCase(api2test.STRINGTestCase):
    def setUp(self):
        self.commands   = ["scott/tiger",
                           "select * from john",
                           0]
                           
        self.module     = DCOracle2

class DCOracle2BINARYTestCase(api2test.BINARYTestCase):
    def setUp(self):
        self.commands   = ["scott/tiger",
                           "select * from john",
                           0]
                           
        self.module     = DCOracle2
    
class DCOracle2NUMBERTestCase(api2test.NUMBERTestCase):
    def setUp(self):
        self.commands   = ["scott/tiger",
                           "select * from john",
                           1]
                           
        self.module     = DCOracle2
    
class DCOracle2DATETIMETestCase(api2test.DATETIMETestCase):
    def setUp(self):
        self.commands   = ["scott/tiger",
                           "select * from john",
                           1]
                           
        self.module     = DCOracle2
    
class DCOracle2ROWIDTestCase(api2test.ROWIDTestCase):
    def setUp(self):
        self.commands   = ["scott/tiger",
                           "select * from john",
                           1]
                           
        self.module     = DCOracle2
    
TypeObjectTestSuite = unittest.TestSuite()
    
TypeObjectTestSuite.addTest(DCOracle2DateTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2TimeTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2TimestampTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2TimeFromTicksTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2DateFromTicksTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2TimestampFromTicksTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2BinaryTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2STRINGTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2BINARYTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2NUMBERTestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2DATETIMETestCase("runTest"))
TypeObjectTestSuite.addTest(DCOracle2ROWIDTestCase("runTest"))

######################################################################
# Run test suites/cases                                              #
######################################################################

runner = unittest.TextTestRunner()

runner.run(ModuleInterfaceTestSuite)
runner.run(ConnectionInterfaceTestSuite)
runner.run(CursorInterfaceTestSuite)
runner.run(TypeObjectTestSuite)
